/**
 * Copyright (c) 2000-present Liferay, Inc. All rights reserved.
 *
 * The contents of this file are subject to the terms of the Liferay Enterprise
 * Subscription License ("License"). You may not use this file except in
 * compliance with the License. You can obtain a copy of the License by
 * contacting Liferay, Inc. See the License for the specific language governing
 * permissions and limitations under the License, including but not limited to
 * distribution rights of the Software.
 *
 *
 *
 */

package com.liferay.screens.service;

import aQute.bnd.annotation.ProviderType;

import org.osgi.framework.Bundle;
import org.osgi.framework.FrameworkUtil;

import org.osgi.util.tracker.ServiceTracker;

/**
 * Provides the remote service utility for ScreensAssetEntry. This utility wraps
 * {@link com.liferay.screens.service.impl.ScreensAssetEntryServiceImpl} and is the
 * primary access point for service operations in application layer code running
 * on a remote server. Methods of this service are expected to have security
 * checks based on the propagated JAAS credentials because this service can be
 * accessed remotely.
 *
 * @author José Manuel Navarro
 * @see ScreensAssetEntryService
 * @see com.liferay.screens.service.base.ScreensAssetEntryServiceBaseImpl
 * @see com.liferay.screens.service.impl.ScreensAssetEntryServiceImpl
 * @generated
 */
@ProviderType
public class ScreensAssetEntryServiceUtil {
	/*
	 * NOTE FOR DEVELOPERS:
	 *
	 * Never modify this class directly. Add custom service methods to {@link com.liferay.screens.service.impl.ScreensAssetEntryServiceImpl} and rerun ServiceBuilder to regenerate this class.
	 */
	public static com.liferay.portal.kernel.json.JSONArray getAssetEntries(
		com.liferay.asset.kernel.service.persistence.AssetEntryQuery assetEntryQuery,
		java.util.Locale locale)
		throws com.liferay.portal.kernel.exception.PortalException {
		return getService().getAssetEntries(assetEntryQuery, locale);
	}

	public static com.liferay.portal.kernel.json.JSONArray getAssetEntries(
		long companyId, long groupId, java.lang.String portletItemName,
		java.util.Locale locale, int max)
		throws com.liferay.portal.kernel.exception.PortalException {
		return getService()
				   .getAssetEntries(companyId, groupId, portletItemName,
			locale, max);
	}

	public static com.liferay.portal.kernel.json.JSONObject getAssetEntry(
		long entryId, java.util.Locale locale)
		throws com.liferay.portal.kernel.exception.PortalException {
		return getService().getAssetEntry(entryId, locale);
	}

	public static com.liferay.portal.kernel.json.JSONObject getAssetEntry(
		java.lang.String className, long classPK, java.util.Locale locale)
		throws com.liferay.portal.kernel.exception.PortalException {
		return getService().getAssetEntry(className, classPK, locale);
	}

	/**
	* Returns the OSGi service identifier.
	*
	* @return the OSGi service identifier
	*/
	public static java.lang.String getOSGiServiceIdentifier() {
		return getService().getOSGiServiceIdentifier();
	}

	public static ScreensAssetEntryService getService() {
		return _serviceTracker.getService();
	}

	private static ServiceTracker<ScreensAssetEntryService, ScreensAssetEntryService> _serviceTracker;

	static {
		Bundle bundle = FrameworkUtil.getBundle(ScreensAssetEntryService.class);

		ServiceTracker<ScreensAssetEntryService, ScreensAssetEntryService> serviceTracker =
			new ServiceTracker<ScreensAssetEntryService, ScreensAssetEntryService>(bundle.getBundleContext(),
				ScreensAssetEntryService.class, null);

		serviceTracker.open();

		_serviceTracker = serviceTracker;
	}
}