/**
 * Copyright (c) 2000-present Liferay, Inc. All rights reserved.
 *
 * The contents of this file are subject to the terms of the Liferay Enterprise
 * Subscription License ("License"). You may not use this file except in
 * compliance with the License. You can obtain a copy of the License by
 * contacting Liferay, Inc. See the License for the specific language governing
 * permissions and limitations under the License, including but not limited to
 * distribution rights of the Software.
 *
 *
 *
 */

package com.liferay.screens.service;

import aQute.bnd.annotation.ProviderType;

import com.liferay.portal.kernel.service.ServiceWrapper;

/**
 * Provides a wrapper for {@link ScreensAssetEntryService}.
 *
 * @author José Manuel Navarro
 * @see ScreensAssetEntryService
 * @generated
 */
@ProviderType
public class ScreensAssetEntryServiceWrapper implements ScreensAssetEntryService,
	ServiceWrapper<ScreensAssetEntryService> {
	public ScreensAssetEntryServiceWrapper(
		ScreensAssetEntryService screensAssetEntryService) {
		_screensAssetEntryService = screensAssetEntryService;
	}

	@Override
	public com.liferay.portal.kernel.json.JSONArray getAssetEntries(
		com.liferay.asset.kernel.service.persistence.AssetEntryQuery assetEntryQuery,
		java.util.Locale locale)
		throws com.liferay.portal.kernel.exception.PortalException {
		return _screensAssetEntryService.getAssetEntries(assetEntryQuery, locale);
	}

	@Override
	public com.liferay.portal.kernel.json.JSONArray getAssetEntries(
		long companyId, long groupId, java.lang.String portletItemName,
		java.util.Locale locale, int max)
		throws com.liferay.portal.kernel.exception.PortalException {
		return _screensAssetEntryService.getAssetEntries(companyId, groupId,
			portletItemName, locale, max);
	}

	@Override
	public com.liferay.portal.kernel.json.JSONObject getAssetEntry(
		long entryId, java.util.Locale locale)
		throws com.liferay.portal.kernel.exception.PortalException {
		return _screensAssetEntryService.getAssetEntry(entryId, locale);
	}

	@Override
	public com.liferay.portal.kernel.json.JSONObject getAssetEntry(
		java.lang.String className, long classPK, java.util.Locale locale)
		throws com.liferay.portal.kernel.exception.PortalException {
		return _screensAssetEntryService.getAssetEntry(className, classPK,
			locale);
	}

	/**
	* Returns the OSGi service identifier.
	*
	* @return the OSGi service identifier
	*/
	@Override
	public java.lang.String getOSGiServiceIdentifier() {
		return _screensAssetEntryService.getOSGiServiceIdentifier();
	}

	@Override
	public ScreensAssetEntryService getWrappedService() {
		return _screensAssetEntryService;
	}

	@Override
	public void setWrappedService(
		ScreensAssetEntryService screensAssetEntryService) {
		_screensAssetEntryService = screensAssetEntryService;
	}

	private ScreensAssetEntryService _screensAssetEntryService;
}