/**
 * Copyright (c) 2000-present Liferay, Inc. All rights reserved.
 *
 * The contents of this file are subject to the terms of the Liferay Enterprise
 * Subscription License ("License"). You may not use this file except in
 * compliance with the License. You can obtain a copy of the License by
 * contacting Liferay, Inc. See the License for the specific language governing
 * permissions and limitations under the License, including but not limited to
 * distribution rights of the Software.
 *
 *
 *
 */

package com.liferay.screens.service;

import aQute.bnd.annotation.ProviderType;

import com.liferay.portal.kernel.service.ServiceWrapper;

/**
 * Provides a wrapper for {@link ScreensJournalArticleService}.
 *
 * @author José Manuel Navarro
 * @see ScreensJournalArticleService
 * @generated
 */
@ProviderType
public class ScreensJournalArticleServiceWrapper
	implements ScreensJournalArticleService,
		ServiceWrapper<ScreensJournalArticleService> {
	public ScreensJournalArticleServiceWrapper(
		ScreensJournalArticleService screensJournalArticleService) {
		_screensJournalArticleService = screensJournalArticleService;
	}

	@Override
	public java.lang.String getJournalArticleContent(long classPK,
		java.util.Locale locale)
		throws com.liferay.portal.kernel.exception.PortalException {
		return _screensJournalArticleService.getJournalArticleContent(classPK,
			locale);
	}

	@Override
	public java.lang.String getJournalArticleContent(long classPK,
		long ddmTemplateId, java.util.Locale locale)
		throws com.liferay.portal.kernel.exception.PortalException {
		return _screensJournalArticleService.getJournalArticleContent(classPK,
			ddmTemplateId, locale);
	}

	@Override
	public java.lang.String getJournalArticleContent(long groupId,
		java.lang.String articleId, long ddmTemplateId, java.util.Locale locale)
		throws com.liferay.portal.kernel.exception.PortalException {
		return _screensJournalArticleService.getJournalArticleContent(groupId,
			articleId, ddmTemplateId, locale);
	}

	/**
	* Returns the OSGi service identifier.
	*
	* @return the OSGi service identifier
	*/
	@Override
	public java.lang.String getOSGiServiceIdentifier() {
		return _screensJournalArticleService.getOSGiServiceIdentifier();
	}

	@Override
	public ScreensJournalArticleService getWrappedService() {
		return _screensJournalArticleService;
	}

	@Override
	public void setWrappedService(
		ScreensJournalArticleService screensJournalArticleService) {
		_screensJournalArticleService = screensJournalArticleService;
	}

	private ScreensJournalArticleService _screensJournalArticleService;
}